
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>utils.brms_validation_transformer module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-utils.brms_validation_transformer">
<span id="utils-brms-validation-transformer-module"></span><h1>utils.brms_validation_transformer module<a class="headerlink" href="#module-utils.brms_validation_transformer" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="utils.brms_validation_transformer.TreeToJson">
<em class="property">class </em><code class="sig-prename descclassname">utils.brms_validation_transformer.</code><code class="sig-name descname">TreeToJson</code><span class="sig-paren">(</span><em class="sig-param">datasets: entity.datasets.Datasets</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">lark.visitors.Transformer</span></code></p>
<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.data_type_integer">
<code class="sig-name descname">data_type_integer</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.data_type_integer" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.data_type_float">
<code class="sig-name descname">data_type_float</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.data_type_float" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.data_type_date">
<code class="sig-name descname">data_type_date</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.data_type_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.unique_values">
<code class="sig-name descname">unique_values</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.unique_values" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.allowed_values">
<code class="sig-name descname">allowed_values</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.allowed_values" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.column_length">
<code class="sig-name descname">column_length</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.column_length" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.alphanumeric_only">
<code class="sig-name descname">alphanumeric_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.alphanumeric_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.email_only">
<code class="sig-name descname">email_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.email_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.alpha_only">
<code class="sig-name descname">alpha_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.alpha_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.uppercase_only">
<code class="sig-name descname">uppercase_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.uppercase_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.referenced">
<code class="sig-name descname">referenced</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.referenced" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.referenced_parameter">
<code class="sig-name descname">referenced_parameter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.referenced_parameter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.mandatory_column">
<code class="sig-name descname">mandatory_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.mandatory_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.compare_numeric">
<code class="sig-name descname">compare_numeric</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.compare_numeric" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.range_numeric">
<code class="sig-name descname">range_numeric</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.range_numeric" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.compare_date">
<code class="sig-name descname">compare_date</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.compare_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.range_date">
<code class="sig-name descname">range_date</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.range_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.composite_key">
<code class="sig-name descname">composite_key</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.composite_key" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.values">
<code class="sig-name descname">values</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.values" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.columns">
<code class="sig-name descname">columns</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.cross_ref_exprs">
<code class="sig-name descname">cross_ref_exprs</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.cross_ref_exprs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.table_column">
<code class="sig-name descname">table_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.table_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.table_column_filter">
<code class="sig-name descname">table_column_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.table_column_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.or_rule">
<code class="sig-name descname">or_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.or_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.and_rule">
<code class="sig-name descname">and_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.and_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToJson.condition">
<code class="sig-name descname">condition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToJson.condition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL">
<em class="property">class </em><code class="sig-prename descclassname">utils.brms_validation_transformer.</code><code class="sig-name descname">TreeToPostgreSQL</code><span class="sig-paren">(</span><em class="sig-param">json: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">lark.visitors.Transformer</span></code></p>
<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.data_type_integer">
<code class="sig-name descname">data_type_integer</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.data_type_integer" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.data_type_float">
<code class="sig-name descname">data_type_float</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.data_type_float" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.data_type_date">
<code class="sig-name descname">data_type_date</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.data_type_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.unique_values">
<code class="sig-name descname">unique_values</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.unique_values" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.allowed_values">
<code class="sig-name descname">allowed_values</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.allowed_values" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.column_length">
<code class="sig-name descname">column_length</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.column_length" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.alphanumeric_only">
<code class="sig-name descname">alphanumeric_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.alphanumeric_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.email_only">
<code class="sig-name descname">email_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.email_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.alpha_only">
<code class="sig-name descname">alpha_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.alpha_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.uppercase_only">
<code class="sig-name descname">uppercase_only</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.uppercase_only" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.referenced">
<code class="sig-name descname">referenced</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.referenced" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.referenced_parameter">
<code class="sig-name descname">referenced_parameter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.referenced_parameter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.mandatory_column">
<code class="sig-name descname">mandatory_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.mandatory_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.compare_numeric">
<code class="sig-name descname">compare_numeric</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.compare_numeric" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.range_numeric">
<code class="sig-name descname">range_numeric</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.range_numeric" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.compare_date">
<code class="sig-name descname">compare_date</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.compare_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.range_date">
<code class="sig-name descname">range_date</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.range_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.composite_key">
<code class="sig-name descname">composite_key</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.composite_key" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.cross_ref_exprs">
<code class="sig-name descname">cross_ref_exprs</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.cross_ref_exprs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.table_column">
<code class="sig-name descname">table_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.table_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.table_column_filter">
<code class="sig-name descname">table_column_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.table_column_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.or_rule">
<code class="sig-name descname">or_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.or_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.and_rule">
<code class="sig-name descname">and_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.and_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_validation_transformer.TreeToPostgreSQL.condition">
<code class="sig-name descname">condition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.TreeToPostgreSQL.condition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="function">
<dt id="utils.brms_validation_transformer.to_json">
<code class="sig-prename descclassname">utils.brms_validation_transformer.</code><code class="sig-name descname">to_json</code><span class="sig-paren">(</span><em class="sig-param">tree</em>, <em class="sig-param">datasets: entity.datasets.Datasets</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_validation_transformer.to_json" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/utils.brms_validation_transformer.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>